DESeq2 installation failures
0
0
Entering edit mode
8 months ago
dantuluri • 0

Help!

I'm trying to install DEseq2 to perform differential gene expression analysis R Studio. I'm using the free R Studio on Posit Cloud. R Sudio version is 4.3.2, BiocManager is 3.1.8.

This is my issue with the error:

library(BiocManager)
Bioconductor version 3.18 (BiocManager 1.30.22), R 4.3.2 (2023-10-31)
BiocManager::install("DESeq2")
'getOption("repos")' replaces Bioconductor standard repositories, see 'help("repositories", package
= "BiocManager")' for details.
Replacement repositories:
CRAN: http://rspm/default/__linux__/focal/latest
Bioconductor version 3.18 (BiocManager 1.30.22), R 4.3.2 (2023-10-31)
Installing package(s) 'DESeq2'
trying URL 'https://bioconductor.org/packages/3.18/bioc/src/contrib/DESeq2_1.42.0.tar.gz'
Content type 'application/x-gzip' length 2097442 bytes (2.0 MB)
==================================================
downloaded 2.0 MB
installing source package ‘DESeq2’ ...
** using staged installation
** libs
using C++ compiler: ‘g++ (Ubuntu 9.4.0-1ubuntu1~20.04.2) 9.4.0’
g++ -std=gnu++17 -I"/opt/R/4.3.2/lib/R/include" -DNDEBUG -I'/cloud/lib/x86_64-pc-linux-gnu-library/4.3/Rcpp/include' -I'/cloud/lib/x86_64-pc-linux-gnu-library/4.3/RcppArmadillo/include' -I/usr/local/include -fpic -g -O2 -c DESeq2.cpp -o DESeq2.o
g++: fatal error: Killed signal terminated program cc1plus
compilation terminated.
make: *** [/opt/R/4.3.2/lib/R/etc/Makeconf:200: DESeq2.o] Error 1
ERROR: compilation failed for package ‘DESeq2’
removing ‘/cloud/lib/x86_64-pc-linux-gnu-library/4.3/DESeq2’
The downloaded source packages are in
‘/tmp/RtmpeSsu8g/downloaded_packages’
Installation paths not writeable, unable to update packages
path: /opt/R/4.3.2/lib/R/library
packages:
lattice, Matrix
Warning message:
In install.packages(...) :
installation of package ‘DESeq2’ had non-zero exit status
DEseq2 • 593 views
ADD COMMENT
1
Entering edit mode

Why are you using RStudio on the cloud? I'm not sure we can help with any issues when you use Posit Cloud. Contact them for support: https://posit.co/about/contact/

ADD REPLY
1
Entering edit mode

It seems like you cannot install some packages, maybe because of the compiler running out of memory. Even if you could, the limitations of the free cloud plan are too restrictive to do any sort of serious analysis (1GB memory, etc). Install R and R-studio on a local computer, any recent machine (let's say <10 years old) will do much better than the free cloud plan.

ADD REPLY

Login before adding your answer.

Traffic: 2423 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6